List Clients
curl --request GET \
--url https://{host}/timmi-project/api/v4/clients \
--header 'Authorization: <authorization>'import requests
url = "https://{host}/timmi-project/api/v4/clients"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://{host}/timmi-project/api/v4/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"name": "<string>",
"code": "<string>",
"id": 123,
"externalCode": "<string>",
"owner": {
"id": 2,
"firstName": "<string>",
"lastName": "<string>",
"dtContractEnd": "<string>",
"picture": {
"href": "<string>"
},
"establishmentId": 2
}
}
],
"next": "<string>",
"prev": "<string>",
"count": 1
}{
"type": "<string>",
"title": "<string>",
"traceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"traceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"traceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"traceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": {}
}Clients
List Clients
List clients from an organization.
GET
/
timmi-project
/
api
/
v4
/
clients
List Clients
Search Query Parameter
Search Query Parameter
The search query parameter takes a list of words and enables you to only return clients whose code or name contains all those words.
GET /api/v4/clients?organizationId=1&search=goo,compa&fields.root=count HTP/1.1
{
"count": 2,
"items": [
{
"id": 1,
"name": "Google",
"code": "World company"
},
{
"id": 1,
"name": "Google company",
"code": "Alphabet Group"
]
}
Headers
API key. Value must be formatted like so: lucca application={api_key}.
Query Parameters
Filter on a single organization unique identifier.
Page number
Required range:
x >= 1Page size
Return total items count (across all pages).
Available options:
count Comma-separated list of codes / names to search for
Only returns clients whose code is strictly equal to sent value
Was this page helpful?
⌘I